<div class="contentRight">

  <div class="contentFull left filler-bottom-end-p">

    <div class="content-holder">
      <h3>{{ 'Economic.Market.EstateMarket' | translate }}</h3>
      <div class="marketplaceView filler-bottom-dd">
        <ul class="dd smaller">
          <li>
            <nz-select style="width: 100%;" nzAllowClear nzPlaceHolder="Select country" nzShowSearch
              [nzCustomTemplate]="custom" [(ngModel)]="selectedCountryId" (ngModelChange)="countrySelected($event)">
              <nz-option *ngFor="let item of countries" nzCustomContent nzLabel="{{item.name}}" nzValue="{{item.id}}">
                <img src="{{hostUrl}}/{{item.flagLocation[0]}}" /> {{item.name}} </nz-option>
            </nz-select>
            <ng-template #custom>
              <span><img src="{{hostUrl}}/{{selectedCountry.flagLocation[0]}}" /> {{selectedCountry.name}} </span>
            </ng-template>
          </li>
          <li style="color:black;">
            <nz-select style="width: 100%;" nzMode="multiple" nzAllowClear nzPlaceHolder="Select construction type"
              nzShowSearch [(ngModel)]="selectedConstructionType" (ngModelChange)="loadOffers()">
              <nz-option *ngFor="let item of constructionTypes" nzLabel="{{item.value}}" nzValue="{{item.key}}">
              </nz-option>
            </nz-select>
          </li>
        </ul>
      </div>
      <nz-spin [nzSpinning]="isLoading[0]">
        <div class="marketplaceView filler-bottom">
          <table class="property tableColor smaller">
            <thead>
              <tr>
                <th>Owner</th>
                <th></th>
                <th>Region</th>
                <th>Type</th>
                <th>{{ 'Economic.Market.Quality' | translate }}</th>
                <th>{{ 'Economic.Market.Price' | translate }}</th>
                <th></th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let offer of offers">
                <td>
                  <a href="#" target="_blank">
                    <img src="{{hostUrl}}/{{offer.seller?.avatarLocation}}">
                  </a>
                </td>
                <td>
                  <a
                    href="{{hostUrl}}/{{offer.seller?.entityTypeName}}/{{offer.seller?.entityId}}" target="_blank">{{offer.seller?.name}}</a>
                </td>
                <td>
                  <a href="{{hostUrl}}/region/{{offer.region?.entityId}}" target="_blank">{{offer.region?.name}}</a>
                </td>
                <td>
                  <img src="{{hostUrl}}/assets/img/ico/eco/prod/{{offer.constructionType.toLowerCase()}}.png">
                </td>
                <td>
                    <span class="gold" *ngFor="let i of offer.quality | q">&#9733;</span>
                </td>
                <td>
                  {{offer.price}} {{offer.currencyName}}
                </td>
                <td>
                  <input type="button" *ngIf="offer.canBuy === true" class="smBtn blButton small" value="Buy" (click)="buyOffer(offer.id)" style="border: none;">
                </td>
              </tr>
              <tr *ngIf="offers.length === 0">
                <td colspan="6">
                  <p class="small">No property offers.</p>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
        <nz-pagination [(nzPageIndex)]="page" [nzTotal]="totalEntries" nzShowSizeChanger [(nzPageSize)]="pageSize" (nzPageSizeChange)="loadOffers()" (nzPageIndexChange)="loadOffers()">
        </nz-pagination>
      </nz-spin>
    </div>
  </div>

</div>
<div class="clear"></div>